OpenSubdiv: D3D11PatchTable Class Reference

| OpenSubdiv

Loading...
Searching...
No Matches
D3D11PatchTable Class Reference

`#include <d3d11PatchTable.h>`

Inheritance diagram for D3D11PatchTable:

## Public Types
using | VertexBufferBinding = ID3D11Buffer*

## Public Member Functions
| D3D11PatchTable ()
| ~D3D11PatchTable ()
PatchArrayVector const & | GetPatchArrays () const
ID3D11Buffer * | GetPatchIndexBuffer () const
| Returns the index buffer containing the patch control vertices.
ID3D11ShaderResourceView * | GetPatchParamSRV () const
| Returns the SRV containing the patch parameter.

## Static Public Member Functions
template<typename DEVICE_CONTEXT>
static D3D11PatchTable * | Create (Far::PatchTable const *farPatchTable, DEVICE_CONTEXT context)
static D3D11PatchTable * | Create (Far::PatchTable const *farPatchTable, ID3D11DeviceContext *deviceContext)

## Protected Member Functions
bool | allocate (Far::PatchTable const *farPatchTable, ID3D11DeviceContext *deviceContext)

## Protected Attributes
PatchArrayVector | _patchArrays
ID3D11Buffer * | _indexBuffer
ID3D11Buffer * | _patchParamBuffer
ID3D11ShaderResourceView * | _patchParamBufferSRV

## Detailed Description

Definition at line 32 of file d3d11PatchTable.h.

## Member Typedef Documentation

## ◆ VertexBufferBinding

using VertexBufferBinding = ID3D11Buffer*

Definition at line 34 of file d3d11PatchTable.h.

## Constructor & Destructor Documentation

## ◆ D3D11PatchTable()

D3D11PatchTable | ( |  | ) |

## ◆ ~D3D11PatchTable()

~D3D11PatchTable | ( |  | ) |

## Member Function Documentation

## ◆ allocate()

bool allocate | ( | Far::PatchTable const * | farPatchTable,
|  | ID3D11DeviceContext * | deviceContext )
| protected

## ◆ Create() [1/2]

template<typename DEVICE_CONTEXT>

D3D11PatchTable * Create | ( | Far::PatchTable const * | farPatchTable,
|  | DEVICE_CONTEXT | context )
| inlinestatic

Definition at line 40 of file d3d11PatchTable.h.

## ◆ Create() [2/2]

D3D11PatchTable * Create | ( | Far::PatchTable const * | farPatchTable,
|  | ID3D11DeviceContext * | deviceContext )
| static

## ◆ GetPatchArrays()

PatchArrayVector const & GetPatchArrays | ( |  | ) | const
| inline

Definition at line 48 of file d3d11PatchTable.h.

## ◆ GetPatchIndexBuffer()

ID3D11Buffer * GetPatchIndexBuffer | ( |  | ) | const
| inline

Returns the index buffer containing the patch control vertices.

Definition at line 53 of file d3d11PatchTable.h.

## ◆ GetPatchParamSRV()

ID3D11ShaderResourceView * GetPatchParamSRV | ( |  | ) | const
| inline

Returns the SRV containing the patch parameter.

Definition at line 58 of file d3d11PatchTable.h.

## Member Data Documentation

## ◆ _indexBuffer

ID3D11Buffer* _indexBuffer
| protected

Definition at line 69 of file d3d11PatchTable.h.

## ◆ _patchArrays

PatchArrayVector _patchArrays
| protected

Definition at line 67 of file d3d11PatchTable.h.

## ◆ _patchParamBuffer

ID3D11Buffer* _patchParamBuffer
| protected

Definition at line 70 of file d3d11PatchTable.h.

## ◆ _patchParamBufferSRV

ID3D11ShaderResourceView* _patchParamBufferSRV
| protected

Definition at line 71 of file d3d11PatchTable.h.

The documentation for this class was generated from the following file:

- opensubdiv/osd/d3d11PatchTable.h